netris-sample-robot(6)

NAME
netris-sample-robot - sample robot for netris

SYNOPSIS
netris-sample-robot [-l]

DESCRIPTION
The netris-sample-robot is a sample implementation of the robot protocol. It plays quite well but isn't too hard to beat. The robot should be started from netris with the option -r to connect or wait for another player to join. You can also let two robots play against each other in that way, if you like.

OPTIONS

-l  Writes some log information into the file log in the current working directory. If it can't it bails out.

EXAMPLES

To start the netris-sample-robot waiting for another connection with logfile use the following line:
    netris -w -r 'netris-sample-robot -l'

You then just have to start netris somewhere else which connects to that robot.

SEE ALSO
netris(6)

BUGS
One known bug of the netris-sample-robot is that it hangs quite often. This was already filed as a bugreport against the package so please refrain from doing so again. If you have an idea why this happens or know a solution how to fix it feel free to mail us.

AUTHORS
Netris was written by Mark H. Weaver <mhw@netris.org>.

This manual page was written by Rhonda D'Vine <rhonda@debian.org> for the Debian GNU/Linux system (but may be used by others).